/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.loader.composite;

import javax.xml.stream.XMLStreamReader;

import org.fabric3.introspection.xml.XmlValidationFailure;

/**
 * @version $Rev: 4289 $ $Date: 2008-05-21 15:32:44 -0700 (Wed, 21 May 2008) $
 */
public class DuplicateComponentService extends XmlValidationFailure<String> {
    private String componentName;

    public DuplicateComponentService(String referenceName, String componentName, XMLStreamReader reader) {
        super("The service " + referenceName + "is configured more than once on the component ", referenceName, reader);
        this.componentName = componentName;
    }

    public String getComponentName() {
        return componentName;
    }
}
